.why-choose-nps-title {
    font-size: var(--font-size-32);
    font-weight: 600;
    line-height: normal;
    margin: 0 0 44px 0;
    color: var(--color-black);
}

.why-choose-nps-list {
    margin: 0;
    padding: 0;
    list-style: none;
    display: flex;
    flex-direction: column;
}

.why-choose-nps-item {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    gap: 24px;
    padding: 20px 24px;
    border-radius: 8px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.why-choose-nps-item.active {
    background-color: var(--color-white);
}

.why-choose-nps-number {
    font-size: 48px;
    line-height: 38px;
    color: var(--color-primary);
    width: 44px;
}

.why-choose-nps-content {
    display: flex;
    flex-direction: column;
    gap: 14px;
}

.why-choose-nps-heading {
    font-size: var(--font-size-24);
    font-weight: 500;
    line-height: normal;
    color: var(--color-black);
}

.why-choose-nps-description {
    font-size: var(--font-size-20);
    font-weight: 300;
    line-height: normal;
    color: var(--color-black);
    margin: 0;
}

.why-choose-nps-card-wrapper {
    position: relative;
    height: 100%;
}

.why-choose-nps-card {
    border-radius: 16px;
    background: #fff;
    padding: 32px;
    flex-direction: column;
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s ease, visibility 0.3s ease;
    z-index: 1;
    width: 100%;
}

.why-choose-nps-card.active {
    opacity: 1 !important;
    visibility: visible !important;
    z-index: 2;
    position: relative;
}

.why-choose-nps-card-icon {
    margin-bottom: 16px;
}

.why-choose-nps-card-icon img {
    width: 100%;
    height: auto;
    display: block;
}

.why-choose-nps-card-text {
    font-size: var(--font-size-20);
    font-weight: 500;
    line-height: normal;
    color: #2C2C2C;
    margin: 0;
}

@media (max-width: 767px) {
    .why-choose-nps-title {
        font-size: var(--font-size-24);
    }
    .why-choose-nps-list {
        flex-direction: column;
    }
    .why-choose-nps-content {
        gap: 4px;
    }
    .why-choose-nps-number {
        font-size: 32px;
    }
    .why-choose-nps-heading {
        font-size: var(--font-size-20);
    }
    .why-choose-nps-description {
        font-size: var(--font-size-16);
    }
    .why-choose-nps-card-text {
        font-size: var(--font-size-16);
    }
    .why-choose-nps-card-icon img {
        width: 40px;
        height: 40px;
    }
    .why-choose-nps-card-wrapper {
        height: 100%;
    }
    .why-choose-nps-card {
        margin-top: 24px;
        padding: 20px;
    }
}

@media (min-width: 768px) and (max-width: 1023px) {
    .why-choose-nps-title {
        font-size: var(--font-size-24);
    }
    .why-choose-nps-content {
        gap: 10px;
    }
    .why-choose-nps-heading {
        font-size: var(--font-size-20);
    }
    .why-choose-nps-description {
        font-size: var(--font-size-16);
    }
    .why-choose-nps-card-text {
        font-size: var(--font-size-16);
    }
    .why-choose-nps-number {
        font-size: var(--font-size-40);
    }
    .why-choose-nps-card-icon img {
        width: 50px;
        height: 50px;
    }
    .why-choose-nps-card {
        padding: 24px;
    }
}

@media (min-width: 1024px) and (max-width: 1279px) {
    .why-choose-nps-title {
        font-size: var(--font-size-24);
    }
    .why-choose-nps-content {
        gap: 10px;
    }
    .why-choose-nps-description {
        font-size: var(--font-size-16);
    }
    .why-choose-nps-card-text {
        font-size: var(--font-size-16);
    }
    .why-choose-nps-number {
        font-size: var(--font-size-40);
    }
    .why-choose-nps-card-icon img {
        width: 50px;
        height: 50px;
    }
    .why-choose-nps-card {
        padding: 24px;
    }
}

@media (min-width: 1280px) and (max-width: 1365px) {
    .why-choose-nps-number {
        font-size: var(--font-size-40);
    }
}
